@echo off

rem /*
rem  Copyright (C) 1997-1999, Alexander Kryukov 
rem  (Skobeltsyn Institute of Nuclear Physics, Moscow State University) 
rem */
rem
rem /****************************************************************
rem        comphep.bat  is a module to start CompHEP under Windows95/NT
rem Author:		A.Kryukov
rem E-mail:		kryukov@theory.npi.msu.su
rem URL:		http://theory.npi.msu.su/~kryukov
rem Vertion:	1.23
rem Release:	Oct. 29, 1999
rem ****************************************************************/

if exist LOCK.TXT goto LOCK
   echo "CompHEP is started here" > LOCK.TXT
   echo "CompHEP is starting ..." > LOG.TXT
   echo "Set LOCK.TXT file ..." >>LOG.TXT
   set COMPHEP=.\
   goto CONT

:LOCK
  echo "CompHEP is  already started in this directory" >>LOG.TXT
  echo "Remove LOCK.TXT file, in order to start CompHEP anyway" >>LOG.TXT  
  pause
  exit

:CONT
  %COMPHEP%\bin\comphep.exe
  if errorlevel 25 goto err25
  if errorlevel 24 goto err24
  del LOCK.TXT
  echo "Remove LOCK.TXT file ..." >>LOG.TXT
  echo "CompHEP finished." >>LOG.TXT
  goto exi

:err24
  %COMPHEP%\bin\s_comphep -blind "]}}]]]}9" 
  cd results 
  %COMPHEP%\bin\nCompil_c
  %COMPHEP%\bin\ld_c 
  cd ..
  goto cont

:err25
  %COMPHEP%\bin\s_comphep -blind "]}}]]]}9" 
  cd results 
  %COMPHEP%\bin\nCompil_f
  %COMPHEP%\bin\ld_f 
  cd ..
  goto cont

:EXI
  exit